﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Syncfusion.Data.Extensions;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Input;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Grid.Helpers;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace BackgroundBasedOnCellValueDemo
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.dataGrid.CurrentCellActivated += DataGrid_CurrentCellActivated;
        }

        private void DataGrid_CurrentCellActivated(object sender, CurrentCellActivatedEventArgs args)
        {
            var grid = sender as SfDataGrid;
            //getting GridCell
            var cell = (grid.SelectionController.CurrentCellManager.CurrentCell.Renderer as GridCellRendererBase).CurrentCellElement;
            if (cell != null)
            {
                var vm = cell.DataContext as OrderInfo;
                //assigned columnindex to the index property in OrderInfo 
                vm.DataIndex = args.CurrentRowColumnIndex.ColumnIndex;
                //updates the current row index
                grid.UpdateDataRow(args.CurrentRowColumnIndex.RowIndex);
            }
        }
    }
}
